# ==================================================================
# Plugins::Block_Domains - Auto Generated Install Module
#
#   Plugins::Block_Domains
#   Author  : Andy Newby (UltraNerds)
#   Version : 1
#   Updated : Thu Jun 10 11:26:35 2004
#
# ==================================================================
#

package Plugins::Block_Domains;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1';
    $DEBUG   = 0;
    $NAME    = 'Block_Domains';
# Inhert from base class for debug and error methods
    @Plugins::Block_Domains::ISA = qw(GT::Base);

    $META = {
    'prog_ver' => '2.2.0',
    'description' => 'This plugin will enable you to check if a submitted domain is banned, and if so, show an error.',
    'license' => 'Freeware',
    'url' => 'http://www.ultranerds.com',
    'author' => 'Andy Newby (UltraNerds)',
    'version' => '1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = 'Hope you enjoy using this plugin :)';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = 'Sorry to see you are uninstalling :(';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Block_Domains::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('Block_Domains', [['user_add_link', 'PRE', 'Plugins::Block_Domains::validate_link', 'FIRST']]);
    $mgr->install_menu('Block_Domains', [['Readme', 'admin.cgi?do=plugin&plugin=Block_Domains&func=Readme']]);
    $mgr->install_options('Block_Domains', [['BannedDomains', 'Domain.com,Foobar.com,test.com', 'This is the list of domains that you DO NOT want to allow. Anyone submitting any of these domains, will be declined, and shown an error message.', 'SELECT', [], [], '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Block_Domains::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('Block_Domains', [['user_add_link', 'PRE', 'Plugins::Block_Domains::validate_link', 'FIRST']]);    $mgr->uninstall_menu('Block_Domains', [['Readme', 'admin.cgi?do=plugin&plugin=Block_Domains&func=Readme']]);
    $mgr->uninstall_options('Block_Domains', [['BannedDomains', 'Domain.com,Foobar.com,test.com', 'This is the list of domains that you DO NOT want to allow. Anyone submitting any of these domains, will be declined, and shown an error message.', 'SELECT', [], [], '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
